Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve a safety alert

GET/safety/alerts/{id}

Get a safety alert belonging to the authenticated API project.

Path ParametersExpand Collapse
id: string

Project safety alert ID

maxLength38
ReturnsExpand Collapse
SafetyAlert object { id, created_at, error_type, 6 more }
id: string
created_at: number
formatunixtime
error_type: "potentially_unintended_data_transfer" or "potentially_unintended_data_access" or "potentially_unintended_destructive_activity" or "other"
One of the following:
"potentially_unintended_data_transfer"
"potentially_unintended_data_access"
"potentially_unintended_destructive_activity"
"other"
model: string
object: "safety.alert"
reason: string or null

A customer-safe description derived from error_type, or null for zero data retention requests.

request_id: string
request_paused: boolean

Whether block registration succeeded for this request. This does not confirm that response execution stopped.

response_id: string

Retrieve a safety alert

curl https://api.openai.com/v1/safety/alerts/alert_0123456789abcdef0123456789abcdef \
  -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "alert_0123456789abcdef0123456789abcdef",
  "object": "safety.alert",
  "created_at": 1787659200,
  "request_id": "req_123",
  "response_id": "resp_123",
  "model": "gpt-6-astra",
  "request_paused": true,
  "error_type": "potentially_unintended_data_access",
  "reason": "Potentially unintended data access."
}
Returns Examples
{
  "id": "alert_0123456789abcdef0123456789abcdef",
  "object": "safety.alert",
  "created_at": 1787659200,
  "request_id": "req_123",
  "response_id": "resp_123",
  "model": "gpt-6-astra",
  "request_paused": true,
  "error_type": "potentially_unintended_data_access",
  "reason": "Potentially unintended data access."
}